Subject: Re: bug#26304: 25.0.90; last sexp is incorrect for ruby-mode

From: Dmitry Gutov <[email-masked]>
Date: Fri, 5 Feb 2021 15:23:37 +0200

On 05.02.2021 15:13, Lars Ingebrigtsen wrote:
> <[email-masked]> writes:
> 
>> When trying to evaluate following line:
>> arr = Array.new(100) { rand(1...100) }
>>
>> usng ruby-send-last-sexp (C-x C-e) gives an error.
>> Probably the whole line or just "Array.new(100) { rand(1...100) }"
>> should be considered as last sexp.
> 
> (I'm going through old bug reports that unfortunately got little response at
> the time.)

Thanks, I missed it. Will put it on my list.

> I can't find `ruby-send-last-sexp' in the Emacs source tree (or any sign
> that it's ever been there) -- is this from a third party package?

It's from inf-ruby. What is a sexp is determined by ruby-mode's SMIE 
grammar, though.